function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { ConfigProvider } from 'antd';
import React, { createContext, useContext, useMemo } from 'react';
import { createLogCenterServices } from "./services";
import { logCenterLocaleZhCN } from "./locale";
var defaultStorage = {
  getSession: function getSession(key, returnStr) {
    var value = window.sessionStorage.getItem(key) || '';
    if (returnStr) return value;
    try {
      return JSON.parse(value);
    } catch (_unused) {
      return value;
    }
  },
  getLocal: function getLocal(key) {
    var value = window.localStorage.getItem(key) || '';
    try {
      return JSON.parse(value);
    } catch (_unused2) {
      return value;
    }
  }
};
export var LogCenterContext = /*#__PURE__*/createContext(null);
export function useLogCenterContext() {
  var ctx = useContext(LogCenterContext);
  if (!ctx) {
    throw new Error('LogCenter subcomponents must be used within LogCenter');
  }
  return ctx;
}
export function useLogCenterLocale() {
  var _useContext, _ref, _ctxLocale$history;
  var antdLocale = (_useContext = useContext(ConfigProvider.ConfigContext)) === null || _useContext === void 0 ? void 0 : _useContext.locale;
  var _useLogCenterContext = useLogCenterContext(),
    ctxLocale = _useLogCenterContext.locale;
  return {
    log: _objectSpread(_objectSpread(_objectSpread({}, logCenterLocaleZhCN.log), ctxLocale.log), antdLocale === null || antdLocale === void 0 ? void 0 : antdLocale.log),
    common: _objectSpread(_objectSpread(_objectSpread({}, logCenterLocaleZhCN.common), ctxLocale.common), antdLocale === null || antdLocale === void 0 ? void 0 : antdLocale.common),
    compInstalled: _objectSpread(_objectSpread(_objectSpread({}, logCenterLocaleZhCN.compInstalled), ctxLocale.compInstalled), antdLocale === null || antdLocale === void 0 ? void 0 : antdLocale.compInstalled),
    history: (_ref = (_ctxLocale$history = ctxLocale.history) !== null && _ctxLocale$history !== void 0 ? _ctxLocale$history : antdLocale === null || antdLocale === void 0 ? void 0 : antdLocale.history) !== null && _ref !== void 0 ? _ref : logCenterLocaleZhCN.history
  };
}
export var LogCenterProvider = function LogCenterProvider(_ref2) {
  var request = _ref2.request,
    storage = _ref2.storage,
    locale = _ref2.locale,
    children = _ref2.children;
  var value = useMemo(function () {
    return {
      request: request,
      services: createLogCenterServices(request),
      storage: _objectSpread(_objectSpread({}, defaultStorage), storage),
      locale: _objectSpread(_objectSpread({}, logCenterLocaleZhCN), locale)
    };
  }, [request, storage, locale]);
  return /*#__PURE__*/React.createElement(LogCenterContext.Provider, {
    value: value
  }, children);
};